Class | Chef::ResourceCollection
In: | lib/chef/resource_collection/stepable_iterator.rb lib/chef/resource_collection.rb
Parent: | Object

### Methods

<< [] []= all_resources each each_index execute_each_resource find insert json_create lookup new push resources to_json

### Included Modules

Enumerable

### Classes and Modules

Class Chef::ResourceCollection::StepableIterator

### Attributes

iterator | [R] |

### Public Class methods

json_create(o)
new()

### Public Instance methods

<<(*args)
[](index)
[]=(index, arg)
all_resources()
each() {|resource| ...}
each_index() {|i| ...}
execute_each_resource() {|resource| ...}
find(*args)

Find existing resources by searching the list of existing resources. Possible forms are:

find(:file => "foobar") find(:file => [ "foobar", "baz" ]) find("file[foobar]", "file[baz]") find("file[foobar,baz]")

Returns the matching resource, or an Array of matching resources.

Raises an ArgumentError if you feed it bad lookup information Raises a Runtime Error if it can‘t find the resources you are looking for.

insert(resource)
lookup(resource)
push(*args)
resources(*args)

Alias for find

to_json(*a)

Serialize this object as a hash

[Validate]